
from ROOT import *


gSystem.AddDynamicPath("./")

gSystem.Load("RooTest_cp")

w = RooWorkspace('w')

a = [-19.122, -30,  0.]
b = [-29.107, -40, 0.]

w.factory('q2[%s, %s]'%(0.1,8.6))
w.factory('a[%s, %s, %s]'%(a[0],a[1],a[2]))
w.factory('b[%s, %s, %s]'%(b[0],b[1],b[2]))


w.addClassDeclImportDir("./")

corrFactors = RooArgList()
corrFactors.add(w.var('a'))
corrFactors.add(w.var('b')) 

Pdf_Test = RooTest("PdfTest", "PdfTest", w.var('q2'),
                 corrFactors)

corrFactors.Print('v')
print 
Pdf_Test.Print()
print "Ciao Sam"
w.importClassCode(Pdf_Test.Class(), kTRUE)
#getattr(w,'import')(corrFactors) 
getattr(w,'import')(Pdf_Test) 

w.Print()

w.writeToFile("RooTest_workspace.root")


