
from ROOT import *


gSystem.AddDynamicPath("./")

gSystem.Load("RooTest1_cp")

w = RooWorkspace('w')
a = [-19.122, -30,  0.]
b = [-29.107, -40, 0.]
w.factory('q2[%s, %s]'%(0.1,8.6))
w.factory('a[%s, %s, %s]'%(a[0],a[1],a[2]))
w.factory('b[%s, %s, %s]'%(b[0],b[1],b[2]))


w.addClassDeclImportDir("./")


Pdf_Test1 = RooTest1("PdfTest1", "PdfTest1", w.var('q2'),w.var('a'),w.var('b'))

Pdf_Test1.Print()
w.importClassCode(Pdf_Test1.Class(), kTRUE)
getattr(w,'import')(Pdf_Test1) 

w.Print()

w.writeToFile("RooTest1_workspace.root")


